#!/bin/sh
    # fixup omreg
    cat /opt/dell/srvadmin/etc/omreg.d/*.cfg > /opt/dell/srvadmin/etc/omreg.cfg 2>/dev/null ||:

    ##########################################
    # Perform Data Engine configuration
    ##########################################
    [ ! -e /opt/dell/srvadmin/lib/srvadmin-omilcore/Funcs.sh ] || . /opt/dell/srvadmin/lib/srvadmin-omilcore/Funcs.sh
    DCECFG=$(GetRegVal /opt/dell/srvadmin/etc/omreg.cfg OMDataEngine.configtool)

    if [ -z "$DCECFG" ]; then
        # data engine not installed (not really possible)
        echo "Could not register data engine components because data engine not installed."
        exit 1
    fi

    ${DCECFG} \
        command=addpopalias update=TRUE startuptype=automatic \
        aliasname=dcrac4    \
        pathfname="/opt/dell/srvadmin/lib/openmanage/libdcrac4.so" \
        dispatchfn=DCRAC4_SMPopulatorDispatch   \
        displayname="Remote Access Controller 4 Data Populator"


